<?php
namespace Ak\View;

/**
 * Objekti koji implementiraju ovo sučelje imaju nekakvu ikonu za prikazati.
 *
 * @package Ak\View
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/view
 */
interface IconAwareInterface
{
    /**
     * @return string
     */
    public function getIcon(): string;

    /**
     * @param string $icon
     */
    public function setIcon(string $icon): void;
}